/*
 *  Copyright (C) Chaperon. All rights reserved.                               
 *  ------------------------------------------------------------------------- 
 *  This software is published under the terms of the Apache Software License 
 *  version 1.1, a copy of which has been included  with this distribution in 
 *  the LICENSE file.                                                         
 */

package net.sourceforge.chaperon.grammar.token.definition;

import java.util.Vector;

/**
 * This class extends the token element class,
 * so that this class contains token elements as
 * childs
 *
 * @author Stephan Michels
 * @version $Revision: 1.2 $ $Date: 2002/05/06 16:22:56 $
 */
public abstract class DefinitionElementList extends DefinitionElement
{
  private Vector _childs = new Vector();

  /**
   * Adds a token element to this list
   *
   * @param element Token element
   */
  public void addDefinitionElement(DefinitionElement element)
  {
    if (element != null)
      _childs.addElement(element);
  }

  /**
   * Returns a token element
   *
   * @param index Index of the tokene element
   *
   * @return Token element
   */
  public DefinitionElement getDefinitionElement(int index)
  {
    return (DefinitionElement) _childs.elementAt(index);
  }

  /**
   * Return the count of elements in this element
   *
   * @return Count of elements
   */
  public int getDefinitionElementCount()
  {
    return _childs.size();
  }
}
