// system.js
//
// JavaScript definitions
//
// Author: Ovidiu Predescu <ovidiu@apache.org>
// Date: March 19, 2002
//

var suicide;

var lastContinuation = null;

function callFunction(func, args)
{
  suicide = new Continuation();
  return func.apply(this, args);
}

function sendPage(uri, bizData, timeToLive)
{
  var kont = _sendPage(uri, bizData, timeToLive);
  lastContinuation = kont;
  return kont;
}

function _sendPage(uri, bizData, timeToLive)
{
  var k = new Continuation();
  var kont = new WebContinuation(cocoon, k, lastContinuation, timeToLive);
  cocoon.forwardTo("cocoon://" + cocoon.environment.getURIPrefix() + uri,
                   bizData, kont);
  suicide();
}

function sendPageAndContinue(uri, bizData)
{
  cocoon.forwardTo("cocoon://" + cocoon.environment.getURIPrefix() + uri,
                   bizData, null);
}

function handleContinuation(kont)
{
  kont.continuation(kont);
}

// Action Support
//
// call an action from JS
function act(type, src, param)
{
  if (type == undefined || src == undefined || param == undefined) {
    log.error("Signature does not match act(type,src,param)");
    return undefined;
  }
  return  cocoon.callAction(type,src,param);
}

// InputModule Support
//
// obtain value form InputModule
function inputValue(type, name)
{
  if (type == undefined || name == undefined) {
    log.error("Signature does not match inputValue(type,name)");
    return undefined;
  }
  return cocoon.inputModuleGetAttribute(type, name);
}

// OutputModule Support
// 
// set an attribute (starts transaction, commit or rollback required!)
function outputSet(type, name, value)
{
  if (type == undefined || name == undefined || value == undefined) {
    log.error("Signature does not match outputSet(type,name,value)");
  } else {
    cocoon.outputModuleSetAttribute(type, name, value);
  }
}

// makes attributes permanent (ends transaction)
function outputCommit(type)
{
  if (type == undefined) {
    log.error("Signature does not match outputCommit(type)");
  } else {
    cocoon.outputModuleCommit(type);
  }
}

// deletes attributes (ends transaction)
function outputRollback(type)
{
  if (type == undefined) {
    log.error("Signature does not match outputCommit(type)");
  } else {
    cocoon.outputModuleRollback(type);
  }
}
